You are not logged in.

#1 2013-05-11 04:14:32

java
Member
Registered: 2013-05-11
Posts: 5

RubyGems

hi,,
i want install wpscan
http://wpscan.org/
but after do
sudo gem install bundler && bundle install --without test development
show this :

WARNING:  You don't have /root/.gem/ruby/2.0.0/bin in your PATH,
	  gem executables will not run.
Successfully installed bundler-1.3.5
Parsing documentation for bundler-1.3.5
1 gem installed
bash: bundle: command not found

how fixed

Offline

#2 2013-05-11 04:21:36

karol
Archivist
Registered: 2009-05-06
Posts: 25,423

Offline

#3 2013-05-11 05:09:24

jasonwryan
Forum & Wiki Admin
From: .nz
Registered: 2009-05-09
Posts: 18,300
Website

Re: RubyGems

Not an Installation issue, moving to Newbie Corner...


Arch + dwm   •   Mercurial repos  •   Github

Registered Linux User #482438

Offline

#4 2013-05-11 07:11:45

Predator
Member
Registered: 2013-05-03
Posts: 3

Re: RubyGems

java wrote:

show this :

WARNING:  You don't have /root/.gem/ruby/2.0.0/bin in your PATH,
	  gem executables will not run.

how fixed

Which part of that text didn't you understand? Append that path to the PATH variable and it should work.

Offline

#5 2013-05-11 11:40:09

Mr.Elendig
#archlinux@freenode channel op
From: The intertubes
Registered: 2004-11-07
Posts: 3,714

Re: RubyGems

Either use rvm/similar or wrap in a PKGBUILD.
Never install stuff directly by hand like that as root, you will just end up with a huge mess.

Last edited by Mr.Elendig (2013-05-11 11:40:25)


Evil #archlinux@freenode channel op and general support dude.
. files on github, Screenshots, Random pics and the rest

Offline

#6 2013-05-11 18:38:13

java
Member
Registered: 2013-05-11
Posts: 5

Re: RubyGems

Thank you all
Moved from Ubuntu to Arch Linux
I wanted some help
Sorry to put the topic without section

Offline

#7 2013-05-11 19:58:48

java
Member
Registered: 2013-05-11
Posts: 5

Re: RubyGems

Predator wrote:
java wrote:

show this :

WARNING:  You don't have /root/.gem/ruby/2.0.0/bin in your PATH,
	  gem executables will not run.

how fixed

Which part of that text didn't you understand? Append that path to the PATH variable and it should work.

sorry but how append the path .?

Offline

#8 2013-05-11 20:10:02

Mr.Elendig
#archlinux@freenode channel op
From: The intertubes
Registered: 2004-11-07
Posts: 3,714

Re: RubyGems

Don't do it. It is not the right solution, and will only work for apps you run as root anyway. As I said, either use rvm/similar, or use a PKGBUILD./prebuilt package.


Evil #archlinux@freenode channel op and general support dude.
. files on github, Screenshots, Random pics and the rest

Offline

#9 2013-05-11 23:15:45

java
Member
Registered: 2013-05-11
Posts: 5

Re: RubyGems

thank you Mr.Elendig
I know it is not the right solution,
But I can not install it on a normal user
I tried to install it on the root
Now I have a user name, Java,
How do I install the tool wpscan
Step by step.!
Thanks for the help

Offline

#10 2013-05-12 00:13:35

java
Member
Registered: 2013-05-11
Posts: 5

Re: RubyGems

ok i am install wpscan from yaourt
thank you

Offline

#11 2013-05-12 00:38:06

jasonwryan
Forum & Wiki Admin
From: .nz
Registered: 2009-05-09
Posts: 18,300
Website

Re: RubyGems

Please do not ask for step-by-step instructions here: that is what the wiki is for.

You can mark your thread as [Solved] by editing your first post and prepending it to the title.


Arch + dwm   •   Mercurial repos  •   Github

Registered Linux User #482438

Offline

#12 2013-05-12 19:07:49

Mr.Elendig
#archlinux@freenode channel op
From: The intertubes
Registered: 2004-11-07
Posts: 3,714

Re: RubyGems

You should not use yaourt before you have learned about how to use makepkg, also the wpscan-svn pkgbuild on aur is horribly oudated and should be replaced. (upstream changed from svn to git)


Evil #archlinux@freenode channel op and general support dude.
. files on github, Screenshots, Random pics and the rest

Offline

Board footer

Powered by FluxBB